package kr.co.udapsoft.ebid.buyer.common.file.biz;

import kr.co.hsnc.common.sql.RowSet;
import kr.co.hsnc.common.util.ValueObject;
import kr.co.udapsoft.ebid.buyer.common.file.FileManager;
import com.udapsoft.modular.web.ibsheet7.IBSheet7Factory;
import com.udapsoft.waf.system.Biz;
import com.udapsoft.waf.system.HandlerStorage;


/**
 * 첨부파일 갯수 조회
 */
public class FileTotalBiz extends Biz {

	public FileTotalBiz(HandlerStorage storage) {
		super(storage);
	}
	
	/**
	 * 파일구분값과 해당 Key값으로 첨부파일 갯수를 가져온다. 
	 */
	public void doBiz() throws Exception {
        String fileGB  = params.get("file_gb");
        String ID      = params.get("id");
        RowSet rowSet = FileManager.getFileTotal(fileGB, ID);
        params.set("sheet1", rowSet);
		storage.addObject("ibsheet7Data", IBSheet7Factory.createIBSheet7(params, storage.request));
	}
}
